import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';

@immutable
abstract class SettingProfileState extends Equatable {
  SettingProfileState([List props = const []]) : super();

  @override
  // TODO: implement props
  List<Object> get props => [];
}

class InitialSettingProfileState extends SettingProfileState {}

class SettingProfileLoading extends SettingProfileState {
  @override
  String toString() => 'SettingProfileLoading';
}

class SettingProfileSuccess extends SettingProfileState {
  @override
  String toString() {
    return 'SettingProfileSuccess';
  }
}

class SettingProfileFailure extends SettingProfileState {
  final String error;

  SettingProfileFailure(this.error);

  @override
  String toString() => 'SettingProfileFailure { error: $error }';
}
